Subject: [AAA-WG]: Type of Origin-Realm and Destination-Realm

From: <[email-masked]>
Date: Wed, 14 Apr 2004 14:28:46 +0300

Hi,

I just noticed that RFC3588 defines Origin-Realm and Destination-Realm
AVPs to be of type DiameterIdentity. In some earlier drafts the type was
UTF8String. Why was the change made?

RFC3588 says that "DiameterIdentity value is used to uniquely identify
a Diameter node". I think this does not fit the concept of "realm" very well.
The rest of the spec seems to assume that one realm can feature several
Diameter nodes, which seems logical.

Is there an error in RFC3588 regarding this or am I missing something?

BR,
Mikko